Package ru.bitel.bgbilling.modules.ticket.server.bean

# Class Ticket

java.lang.Object
ru.bitel.bgbilling.modules.ticket.server.bean.Ticket

public final class Ticket extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Ticket()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAgentId()`
  `String`
  `getAgentTitle()`
  `int`
  `getCid()`
  `String`
  `getComment()`
  `final String`
  `getContractTitle()`
  `Date`
  `getDate1()`
  `Date`
  `getDate2()`
  `String`
  `getDescription()`
  `int`
  `getId()`
  `String`
  `getPin()`
  `int`
  `getStatus()`
  `Date`
  `getStatusDate()`
  `BigDecimal`
  `getSumma()`
  `int`
  `getTransId()`
  `void`
  `setAgentId(int agentId)`
  `void`
  `setAgentTitle(String agentTitle)`
  `void`
  `setCid(int cid)`
  `void`
  `setComment(String comment)`
  `final void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDate1(Date date)`
  `void`
  `setDate2(Date date)`
  `void`
  `setDescription(String description)`
  `void`
  `setId(int id)`
  `void`
  `setPin(String pin)`
  `void`
  `setStatus(int status)`
  `void`
  `setStatusDate(Date statusDate)`
  `void`
  `setSumma(BigDecimal summa)`
  `void`
  `setTransId(int transId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Ticket

    public Ticket()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getAgentId

    public int getAgentId()

  - ### setAgentId

    public void setAgentId(int agentId)

  - ### getCid

    public int getCid()

  - ### setCid

    public void setCid(int cid)

  - ### getDate1

    public Date getDate1()

  - ### setDate1

    public void setDate1(Date date)

  - ### getDate2

    public Date getDate2()

  - ### setDate2

    public void setDate2(Date date)

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getPin

    public String getPin()

  - ### setPin

    public void setPin(String pin)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getStatusDate

    public Date getStatusDate()

  - ### setStatusDate

    public void setStatusDate(Date statusDate)

  - ### getSumma

    public BigDecimal getSumma()

  - ### setSumma

    public void setSumma(BigDecimal summa)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getAgentTitle

    public String getAgentTitle()

  - ### setAgentTitle

    public void setAgentTitle(String agentTitle)

  - ### getTransId

    public int getTransId()

  - ### setTransId

    public void setTransId(int transId)

  - ### getContractTitle

    public final String getContractTitle()

  - ### setContractTitle

    public final void setContractTitle(String contractTitle)